--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: URL
  value: "'https://tx.securepaytech.com/web/HttpPostPurchase'"
- !ruby/object:RI::Constant 
  comment: 
  name: PAYMENT_GATEWAY_RESPONSES
  value: "{         1 => \"Transaction OK\",         2 => \"Insufficient funds\",         3 => \"Card expired\",         4 => \"Card declined\",         5 => \"Server error\",         6 => \"Communications error\",         7 => \"Unsupported transaction type\",         8 => \"Bad or malformed request\",         9 => \"Invalid card number\""
full_name: ActiveMerchant::Billing::SecurePayTechGateway
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: purchase
name: SecurePayTechGateway
superclass: Gateway
